Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.common.util.filesystem
Class FSUtil

    java.lang.Object
      kieker.common.util.filesystem.FSUtil

    public final class FSUtil

extends Object

Since:
  1.7
Author:
  Jan Waller

Field Summary
`static String` | `ENCODING` The encoding usually used within Kieker.
`static String` | `FILE_PREFIX` The prefix of Kieker's record files.
`static String` | `LEGACY_FILE_PREFIX` The old prefix of Kieker's record files.
`static String` | `LEGACY_MAP_FILENAME` The old name of Kieker's map files.
`static String` | `MAP_FILENAME` The name of Kieker's map files.
`static String` | `NORMAL_FILE_EXTENSION` The usual extension of Kieker's record files.
`static String` | `ZIP_FILE_EXTENSION` The extension of Kieker's zipped record files.

Method Summary
`static String` | `decodeNewline(String str)` Decodes the given line (replaces `\\\\` with `\\`, `\\r` with `\r` and `\\n` with `\n`).
`static String` | `encodeNewline(String str)` Encodes the given line (replaces `\\` with `\\\\`, `\r` with `\\r` and `\n` with `\\n`).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_PREFIX

    public static final String FILE_PREFIX

  The prefix of Kieker's record files.

  See Also:
    Constant Field Values

### MAP_FILENAME

    public static final String MAP_FILENAME

  The name of Kieker's map files.

  See Also:
    Constant Field Values

### LEGACY_FILE_PREFIX

    public static final String LEGACY_FILE_PREFIX

  The old prefix of Kieker's record files.

  See Also:
    Constant Field Values

### LEGACY_MAP_FILENAME

    public static final String LEGACY_MAP_FILENAME

  The old name of Kieker's map files.

  See Also:
    Constant Field Values

### NORMAL_FILE_EXTENSION

    public static final String NORMAL_FILE_EXTENSION

  The usual extension of Kieker's record files.

  See Also:
    Constant Field Values

### ZIP_FILE_EXTENSION

    public static final String ZIP_FILE_EXTENSION

  The extension of Kieker's zipped record files.

  See Also:
    Constant Field Values

### ENCODING

    public static final String ENCODING

  The encoding usually used within Kieker.

  See Also:
    Constant Field Values

Method Detail

### encodeNewline

    public static final String encodeNewline(String str)

  Encodes the given line (replaces `\\` with `\\\\`, `\r` with `\\r` and `\n` with `\\n`).

  Parameters:
    `str` - The string to encode.
  Returns:
    The modified string.

### decodeNewline

    public static final String decodeNewline(String str)

  Decodes the given line (replaces `\\\\` with `\\`, `\\r` with `\r` and `\\n` with `\n`).

  Parameters:
    `str` - The string to decode.
  Returns:
    The modified string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net